org.apache.maven.scm.provider.svn.command.info

## Class SvnInfoScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.provider.svn.command.info.SvnInfoScmResult

- All Implemented Interfaces:
    Serializable

      public class SvnInfoScmResult
      extends ScmResult

  Version:
    $Id: SvnInfoScmResult.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Kenney Westerhof
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnInfoScmResult(List files, ScmResult result)`
    `SvnInfoScmResult(String commandLine, List files)`
    `SvnInfoScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getInfoItems()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnInfoScmResult

          public SvnInfoScmResult(String commandLine,
                          String providerMessage,
                          String commandOutput,
                          boolean success)

    - #### SvnInfoScmResult

          public SvnInfoScmResult(String commandLine,
                          List files)

    - #### SvnInfoScmResult

          public SvnInfoScmResult(List files,
                          ScmResult result)

  - ### Method Detail

    - #### getInfoItems

          public List getInfoItems()

Copyright © 2003–2015. All rights reserved.